name: health_app
description: "健康管家 - AI 健康陪伴助手"
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ^3.10.7

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  # 状态管理
  flutter_riverpod: ^3.2.0

  # HTTP 网络
  dio: ^5.4.0

  # 本地数据库
  sqflite: ^2.4.0
  path: ^1.9.0

  # 图表
  fl_chart: ^0.68.0

  # 相机 & 图片 & 文件
  image_picker: ^1.0.0
  file_picker: ^10.3.7

  # Markdown 渲染
  flutter_markdown: ^0.7.0

  # 推送（后期集成）
  # jpush_flutter: ^3.4.5

  # 蓝牙 BLE
  flutter_blue_plus: ^1.34.0
  permission_handler: ^11.3.0

  # 基础图标
  cupertino_icons: ^1.0.8
  signalr_netcore: ^1.4.4
  shadcn_ui: ^0.53.6
  google_fonts: ^8.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/branding/
